### Name: longts.plot
### Title: Plot Very Long Regular Time Series
### Aliases: longts.plot
### Keywords: hplot iplot ts multivariate

### ** Examples

data(sunspots)
longts.plot(sunspots,upf=ceiling((end(sunspots)-start(sunspots))[1]/5),
            dx.ann=10, dx.tick=1)

if (require(SwissAir)) {
  data(AirQual)

  st <- levels(AirQual$start)[AirQual$start]

  longts.plot(y1=AirQual[,c("ad.O3","ad.NOx")], y2 = AirQual$ad.T,
              names1=c("O3","NOx"),names2="Temp",
              startP = 6.5*30*48, upf=7*48, dx.ann=48,
              x.ann=substr(st,1,6),
              y1lab="[ppb]", y2lab="[C]",
              y1lim=c(0,150), y2lim=c(10,30),
              col2="red", type="l")
}




